/**
 * @file ProgressBarThread.java
 *
 * @brief control progressBar.
 * 
 * @author Yanghui
 * 
 * @history 
 * ================================================================
 * Date               Name                    Description of Change
 * 08-Auguest-2008       Yanghui              this class is used to control
 * 										      progress bar.
 */
package cn.com.customization.imports.importfiles;

/**
 * @class ProgressBarThread
 * @brief Create progress bar thread
 * @author Yanghui
 */
public class ORProgressBarThread extends Thread {

	private ORProgressBar bar;

	private String title;

	public ORProgressBarThread(String title,String showLable) {
		this.title = title;
		bar = new ORProgressBar(showLable);
	}

	public void run() {
		bar.setTitle(title);
		bar.initUI();
	}

	public void setBool(boolean bool) {
		bar.setBool(true);
	}
}
